com.corticon.eclipse.core.util

## Class CcCompileOptionsObject

- java.lang.Object
- - com.corticon.eclipse.core.util.CcCompileOptionsObject

-     public class CcCompileOptionsObject
      extends java.lang.Object

  CcUtil is a general-purpose "Swiss Army Knife" class with helpful static methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `cstrDeploymentDocumentDriverAttributeName`
    `static java.lang.String` | `cstrDeploymentDocumentDriverName`
    `static java.lang.String` | `cstrDeploymentDocumentDriverRoot`
    `static java.lang.String` | `cstrDeploymentDocumentName`
    `static java.lang.String` | `cstrDeploymentDocumentRoot`
    `static java.lang.String` | `cstrDeploymentDocumentRulesheetDependentFileName`
    `static java.lang.String` | `cstrDeploymentDocumentRulesheetDependentRuleFileAttributeName`
    `static java.lang.String` | `cstrDeploymentDocumentRulesheetsAttributeName`
    `static java.lang.String` | `cstrDeploymentDocumentRulesheetsRoot`
    `static java.lang.String` | `cstrDeploymentDocumentRulesheetTrueName`
    `static java.lang.String` | `cstrDeploymentDocumentRulesheetUriName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcCompileOptionsObject()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChangedRuleAssetUriName(java.lang.String astrRuleAssetUriName)`
    `void` | `addProcessedUri(java.lang.String astrUri)`
    `void` | `addRcdDocumentToCache(java.lang.String astrRuleAssetUri, java.lang.String astrRcdPath, org.jdom.Document aDocRcd)`
    `void` | `addRemoveDriverToList(java.lang.String astrDriverName)`
    `void` | `addRemoveRuleToList(java.lang.String astrRuleName)`
    `void` | `clearRemoveDriverList()`
    `void` | `clearRemoveRuleList()`
    `CcCompileOptionsObject` | `copy()`
    `java.util.Vector` | `getAllRcdFiles()`
    `java.util.Vector` | `getChangedRuleAssetUriName()`
    `boolean` | `getCompileAllRuleAssets()`
    `org.jdom.Document` | `getCurrentCCD()`
    `org.jdom.Document` | `getCurrentCNC()`
    `java.util.Vector` | `getDependentRuleAssetUrisForRuleAssetUri(java.lang.String astrRuleAssetUri)`
    `org.jdom.Document` | `getDeploymentDocument()`
    `java.util.Vector` | `getProcessedUris()`
    `java.util.ArrayList` | `getRemoveDriverList()`
    `java.util.ArrayList` | `getRemoveRuleList()`
    `java.util.HashMap` | `getRuleActivityUriToRcdPath()`
    `java.util.Vector` | `getRuleAssetUrisInDeploymentDocument()`
    `java.util.HashMap` | `getRuleAssetUriToRuleDriverClassName()`
    `boolean` | `hasRuleflowDriversChanged()`
    `boolean` | `hasRuleflowRulesheetsChanged()`
    `boolean` | `hasVocabularyChanged()`
    `void` | `loadContextDocuments(com.corticon.service.io.archive.Archive aArchive, java.util.HashMap ahsRuleActivityUriToRcdPath)`
    `void` | `removeRcdDocumentFromCache(java.lang.String astrRuleAssetUri)`
    `void` | `removeRulesheetFromDeploymentDocument(java.lang.String astrRuleAssetUri)`
    `void` | `setChangedRuleAssetUriName(java.util.Vector avectRuleAssetUriName)`
    `void` | `setCompileAllRuleAssets(boolean abCompileAllRuleAssets)`
    `void` | `setCurrentCCD(org.jdom.Document aDocCurrentCCD)`
    `void` | `setCurrentCNC(org.jdom.Document aDocCurrentCNC)`
    `void` | `setDeploymentDocument(org.jdom.Document aDocDeployment)`
    `void` | `setRuleflowDriversChanged(boolean abRuleflowDriversChanged)`
    `void` | `setRuleflowRulesheetsChanged(boolean abRuleflowRulesheetsChanged)`
    `void` | `setVocabularyChanged(boolean abVocabularyChanged)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cstrDeploymentDocumentName

          public static final java.lang.String cstrDeploymentDocumentName

      See Also:
        Constant Field Values

    - #### cstrDeploymentDocumentRoot

          public static final java.lang.String cstrDeploymentDocumentRoot

      See Also:
        Constant Field Values

    - #### cstrDeploymentDocumentDriverRoot

          public static final java.lang.String cstrDeploymentDocumentDriverRoot

      See Also:
        Constant Field Values

    - #### cstrDeploymentDocumentDriverAttributeName

          public static final java.lang.String cstrDeploymentDocumentDriverAttributeName

      See Also:
        Constant Field Values

    - #### cstrDeploymentDocumentDriverName

          public static final java.lang.String cstrDeploymentDocumentDriverName

      See Also:
        Constant Field Values

    - #### cstrDeploymentDocumentRulesheetsRoot

          public static final java.lang.String cstrDeploymentDocumentRulesheetsRoot

      See Also:
        Constant Field Values

    - #### cstrDeploymentDocumentRulesheetsAttributeName

          public static final java.lang.String cstrDeploymentDocumentRulesheetsAttributeName

      See Also:
        Constant Field Values

    - #### cstrDeploymentDocumentRulesheetUriName

          public static final java.lang.String cstrDeploymentDocumentRulesheetUriName

      See Also:
        Constant Field Values

    - #### cstrDeploymentDocumentRulesheetTrueName

          public static final java.lang.String cstrDeploymentDocumentRulesheetTrueName

      See Also:
        Constant Field Values

    - #### cstrDeploymentDocumentRulesheetDependentRuleFileAttributeName

          public static final java.lang.String cstrDeploymentDocumentRulesheetDependentRuleFileAttributeName

      See Also:
        Constant Field Values

    - #### cstrDeploymentDocumentRulesheetDependentFileName

          public static final java.lang.String cstrDeploymentDocumentRulesheetDependentFileName

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CcCompileOptionsObject

          public CcCompileOptionsObject()

  - ### Method Detail

    - #### hasVocabularyChanged

          public boolean hasVocabularyChanged()

    - #### setVocabularyChanged

          public void setVocabularyChanged(boolean abVocabularyChanged)

    - #### hasRuleflowDriversChanged

          public boolean hasRuleflowDriversChanged()

    - #### setRuleflowDriversChanged

          public void setRuleflowDriversChanged(boolean abRuleflowDriversChanged)

    - #### hasRuleflowRulesheetsChanged

          public boolean hasRuleflowRulesheetsChanged()

    - #### setRuleflowRulesheetsChanged

          public void setRuleflowRulesheetsChanged(boolean abRuleflowRulesheetsChanged)

    - #### getChangedRuleAssetUriName

          public java.util.Vector getChangedRuleAssetUriName()

    - #### addChangedRuleAssetUriName

          public void addChangedRuleAssetUriName(java.lang.String astrRuleAssetUriName)

    - #### setChangedRuleAssetUriName

          public void setChangedRuleAssetUriName(java.util.Vector avectRuleAssetUriName)

    - #### getRuleAssetUriToRuleDriverClassName

          public java.util.HashMap getRuleAssetUriToRuleDriverClassName()

    - #### getDeploymentDocument

          public org.jdom.Document getDeploymentDocument()

    - #### setDeploymentDocument

          public void setDeploymentDocument(org.jdom.Document aDocDeployment)

    - #### getRuleActivityUriToRcdPath

          public java.util.HashMap getRuleActivityUriToRcdPath()

    - #### loadContextDocuments

          public void loadContextDocuments(com.corticon.service.io.archive.Archive aArchive,
                                  java.util.HashMap ahsRuleActivityUriToRcdPath)
                                    throws com.corticon.util.CcUtilException

      Throws:
        `com.corticon.util.CcUtilException`

    - #### addRcdDocumentToCache

          public void addRcdDocumentToCache(java.lang.String astrRuleAssetUri,
                                   java.lang.String astrRcdPath,
                                   org.jdom.Document aDocRcd)

    - #### removeRcdDocumentFromCache

          public void removeRcdDocumentFromCache(java.lang.String astrRuleAssetUri)

    - #### removeRulesheetFromDeploymentDocument

          public void removeRulesheetFromDeploymentDocument(java.lang.String astrRuleAssetUri)

    - #### getAllRcdFiles

          public java.util.Vector getAllRcdFiles()

    - #### getDependentRuleAssetUrisForRuleAssetUri

          public java.util.Vector getDependentRuleAssetUrisForRuleAssetUri(java.lang.String astrRuleAssetUri)

    - #### getRuleAssetUrisInDeploymentDocument

          public java.util.Vector getRuleAssetUrisInDeploymentDocument()

    - #### getCompileAllRuleAssets

          public boolean getCompileAllRuleAssets()

    - #### setCompileAllRuleAssets

          public void setCompileAllRuleAssets(boolean abCompileAllRuleAssets)

    - #### getProcessedUris

          public java.util.Vector getProcessedUris()

    - #### addProcessedUri

          public void addProcessedUri(java.lang.String astrUri)

    - #### getCurrentCNC

          public org.jdom.Document getCurrentCNC()

    - #### setCurrentCNC

          public void setCurrentCNC(org.jdom.Document aDocCurrentCNC)

    - #### getCurrentCCD

          public org.jdom.Document getCurrentCCD()

    - #### setCurrentCCD

          public void setCurrentCCD(org.jdom.Document aDocCurrentCCD)

    - #### clearRemoveDriverList

          public void clearRemoveDriverList()

    - #### addRemoveDriverToList

          public void addRemoveDriverToList(java.lang.String astrDriverName)

    - #### getRemoveDriverList

          public java.util.ArrayList getRemoveDriverList()

    - #### clearRemoveRuleList

          public void clearRemoveRuleList()

    - #### addRemoveRuleToList

          public void addRemoveRuleToList(java.lang.String astrRuleName)

    - #### getRemoveRuleList

          public java.util.ArrayList getRemoveRuleList()

    - #### copy

          public CcCompileOptionsObject copy()

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.